<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://orphic.ca
 * @since             1.0.0
 * @package           Wb_Onboard
 *
 * @wordpress-plugin
 * Plugin Name:       WB Onboarding
 * Plugin URI:        https://orphic.ca
 * Description:       This is a description of the plugin.
 * Version:           1.2.8
 * Author:            Orphic Inc.
 * Author URI:        https://orphic.ca
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       wb-onboard
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
  die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('WB_ONBOARD_VERSION', '1.2.8');

if (!defined('WB_ONBOARD_PLUGIN_DIR_PATH')) {
  define('WB_ONBOARD_PLUGIN_DIR_PATH', plugin_dir_path(__FILE__));
}

if (!defined('WB_ONBOARD_PLUGIN_DIR_URL')) {
  define('WB_ONBOARD_PLUGIN_DIR_URL', plugin_dir_url(__FILE__));
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-wb-onboard-activator.php
 */
function activate_wb_onboard()
{
  require_once plugin_dir_path(__FILE__) . 'includes/class-wb-onboard-activator.php';
  Wb_Onboard_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-wb-onboard-deactivator.php
 */
function deactivate_wb_onboard()
{
  require_once plugin_dir_path(__FILE__) . 'includes/class-wb-onboard-deactivator.php';
  Wb_Onboard_Deactivator::deactivate();
}

register_activation_hook(__FILE__, 'activate_wb_onboard');
register_deactivation_hook(__FILE__, 'deactivate_wb_onboard');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-wb-onboard.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_wb_onboard()
{

  $plugin = new Wb_Onboard();
  $plugin->run();
}
run_wb_onboard();

add_action('init', function () {
  if (isset($_GET['action']) && $_GET['action'] === 'magic_login' && isset($_GET['token'])) {
    $token = $_GET['token'];
    $user_id = get_transient('magic_link_' . $token);

    if ($user_id) {
      // Authentifier l'utilisateur
      wp_clear_auth_cookie();
      wp_set_current_user($user_id);
      wp_set_auth_cookie($user_id, true);

      // Rediriger vers la page wb-onboard
      wp_safe_redirect(admin_url('admin.php?page=wb-onboard-menu-page'));
      exit;
    }
  }
});

add_action('in_admin_header', function () {

  $current_screen = get_current_screen();

  if ($current_screen->id == 'toplevel_page_wb-onboard-menu-page') {
    remove_all_actions('admin_notices');
    remove_all_actions('all_admin_notices');
  }
}, 20);
